<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class EncodeCharset4KuferWEBSights extends EncodingCharset
{
  private $fromencoding;

  public function __construct($fromencoding = null)
  {
    $this->fromencoding = $fromencoding;
  }

  
  public function getFromEncoding()
  {
    return is_null($this->fromencoding) ? \CodingOperations::getKuferWEBSightsEncoding() : $this->fromencoding;
  }
}